Bug 251094 - D-Link DSB-R100 drivers missing from
D-Link DSB-R100 drivers missing from
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-06 23:47 EDT by Jarrod Hyder
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-14 13:07:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jarrod Hyder 2007-08-06 23:47:56 EDT
Description of problem:
D-Link DSB-R100 radio drivers missing from kernel even though they
were present in 2.6.21-1.3194

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:
Plugin DSB-R100 usb radio and it is not detected.

Expected results:
Plugin DSB-R100 usb radio and it should be visible to KRadio.

Additional info:
Comment 1 Chuck Ebbert 2007-08-10 17:53:42 EDT
What driver loads for that device?
Are there any kernel messages when the device gets plugged in?
Comment 2 Jarrod Hyder 2007-08-13 20:47:50 EDT
As far as I can tell, there are no drivers loaded.

Here is the output from the kernel:
Aug 13 20:45:06 localhost kernel: usb 4-2: USB disconnect, address 4
Aug 13 20:45:09 localhost kernel: usb 4-2: new low speed USB device using 
uhci_hcd and address 5
Aug 13 20:45:09 localhost kernel: usb 4-2: configuration #1 chosen from 1 
Comment 3 Pete Zaitcev 2007-08-13 21:37:43 EDT
Chuck meant to ask what drivers used to drive the device.
Please give us /proc/bus/usb/devices. I have no clue what
driver may be missing. I cannot guess based on the marketing name
(DSB-R100). We certainly didn't kill any on purpose.
Comment 4 Jarrod Hyder 2007-08-14 07:00:51 EDT
Sorry, I misunderstood the question...

The driver that should load is in kernel/drivers/media/radio/dsbr100.ko
Comment 5 Pete Zaitcev 2007-08-14 13:16:36 EDT
I see... No, wait, I don't.

[zaitcev@niphredil F-7]$ grep CONFIG_USB_DSBR configs/*
[zaitcev@niphredil F-7]$ grep VIDEO_V4L2 configs/*
[zaitcev@niphredil F-7]$ 

Looks like a bug somewhere, it should be building fine.
Comment 6 Pete Zaitcev 2007-08-14 13:31:56 EDT
Oh, I see now:

configs/config-generic:# CONFIG_RADIO_ADAPTERS is not set

This was added by:

revision 1.326
date: 2007/07/10 16:15:02;  author: davej;  state: Exp;  lines: +197 -151
* Tue Jul 10 2007 Dave Jones <davej@redhat.com>
- Rebase to 2.6.22

Let's ask Chuck or Dave to set it to =m, I don't think I have access to
Fedora kernels. I won't mess with them without their permission either.
Comment 7 Chuck Ebbert 2007-08-14 13:58:52 EDT
Set =y in FC6, F7 and devel.

Note You need to log in before you can comment on or make changes to this bug.